Linux Archive

Linux Archive (http://www.linux-archive.org/)
-   Debian User (http://www.linux-archive.org/debian-user/)
-   -   Help: Errors from aptitude install (http://www.linux-archive.org/debian-user/105146-help-errors-aptitude-install.html)

Dennis Wicks 06-12-2008 12:33 AM

Help: Errors from aptitude install
 
Greetings;

Specifically I am trying to install samba and its
parts, samba-common samba smbclient smbfs, on Lenny and
I keep getting errors like the following.


Setting up samba-common (2:3.0.30-2) ...
Error: unknown response from debconf:'keep_current'
dpkg: error processing samba-common (--configure):

I have tried all of the options besides "keep_current"
to no avail.


Any ideas as to what the problem is or how to fix it?

TIA!
Dennis


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

Daniel Burrows 06-12-2008 04:20 AM

Help: Errors from aptitude install
 
On Wed, Jun 11, 2008 at 07:33:01PM -0500, Dennis Wicks <wix@mgssub.com> was heard to say:
> Specifically I am trying to install samba and its parts, samba-common
> samba smbclient smbfs, on Lenny and I keep getting errors like the
> following.
>
> Setting up samba-common (2:3.0.30-2) ...
> Error: unknown response from debconf:'keep_current'
> dpkg: error processing samba-common (--configure):
>
> I have tried all of the options besides "keep_current" to no avail.
>
> Any ideas as to what the problem is or how to fix it?

The only reference I can find to this is bug #443179 against ucf. But
that was fixed ages ago, in 3.003. I think that message is from ucf
line 956:

echo "Error: unknown response from debconf:'$RET'" >&2

The only way that I can see of getting this from the code, though, is
after the non-debconf prompt for a merge. You'd have to answer
something other than one of the known options (which makes the comment
about debconf a bug IMO). That's not what's happening either, so I'm a
little puzzled.

This is grasping at straws, but you *do* have ucf 3.007, or at least 3.006,
installed, right?

Daniel


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org


All times are GMT. The time now is 12:32 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.